3.2 Crash on OSX High Sierra when using XYZ layers

2018-07-25 02:26 AM - Frank Horowitz

Status: Closed

Priority: High

Assignee:

Category: Web Services clients/XYZ

Affected QGIS version:3.2 Regression?: No

Operating System: OSX High Sierra Easy fix?: No

Pull Request or Patch supplied:No Resolution: no timely feedback

Crashes QGIS or corrupts data:Yes Copied to github as #: 27306

Description

I'm experiencing repeatable crashes on zooming in (too far?) of XYZTile display of Google Hybrid map as lowest level.

Here is a cut-and-paste of the crash report that would be sent to Apple: < https://pastebin.com/wcF63b1p >.

Note that the guilty thread is crashing on a call to QRasterPaintEngine::drawImage(QRectF const&, QImage const&, QRectF const&,

QFlags<Qt::ImageConversionFlag>)

It is moderately easy for me to trigger this bug, so I may be able to provide more details from a different crash.

History

#1 - 2018-07-25 08:52 AM - Giovanni Manghi

- Priority changed from Normal to High

#2 - 2018-08-28 09:14 PM - Nathan Perry

I have this too; see: https://issues.qgis.org/issues/19544. The crash is repeatable but not (for me) predictable. In my case I'm using Google Satellite rather

than Hybrid.

#3 - 2018-08-31 08:20 AM - Nathan Perry

Update: It appears I can avoid the crash as long as I don't zoom in beyond what looks like the tiles' native resolution (approx. 1:1500 scale at 2x

magnification). Something to do with resampling, perhaps?

#4 - 2018-08-31 07:21 PM - Frank Horowitz

Nathan Perry wrote:

Update: It appears I can avoid the crash as long as I don't zoom in beyond what looks like the tiles' native resolution (approx. 1:1500 scale at 2x

magnification). Something to do with resampling, perhaps?

That seems to be (at least) consistent with my experience. Zooming in too far somewhat-repeatably triggers the crash.

#5 - 2018-09-02 05:02 PM - Giovanni Manghi

- Status changed from Open to Feedback
Nathan Perry wrote:

Update: It appears I can avoid the crash as long as I don't zoom in beyond what looks like the tiles' native resolution (approx. 1:1500 scale at 2x

magnification). Something to do with resampling, perhaps?

does it happens only if the project contains xyz layers?

#6 - 2018-09-04 02:46 AM - Frank Horowitz

Giovanni Manghi wrote:

Nathan Perry wrote:

Update: It appears I can avoid the crash as long as I don't zoom in beyond what looks like the tiles' native resolution (approx. 1:1500 scale at 2x

magnification). Something to do with resampling, perhaps?

does it happens only if the project contains xyz layers?

Yes, using an XYZ layer of the "Google Hybrid" (i.e. Air/satellite photos with roads overlain) is the only time I have observed this crash.

#7 - 2018-09-04 10:56 AM - Giovanni Manghi

- Subject changed from 3.2 Crash on OSX High Sierra to 3.2 Crash on OSX High Sierra when using XYZ layers

#8 - 2018-11-08 01:31 PM - Giovanni Manghi

Please try on QGIS 3.4.1, if the issue is still valid change the affected version, thanks.

#9 - 2019-02-11 04:19 AM - Nyall Dawson

- Resolution set to no timely feedback

- Status changed from Feedback to Closed
